import React, { Component } from 'react';
import './input.scss'
import classnames from "classnames";


class Index extends Component {
    constructor(props) {
        super(props)
        this.state = {
            value: '',
            count: 10,
            counting: false
        }
        this.timer = null
    }

    countDown = () => {
        let {count} = this.state
        if (!this.state.counting) {
            this.setState({count: count--})
            this.setState({counting: true})
            this.timer = setInterval(() => {
                if(count <= 0){
                    this.setState({counting: false})
                    clearInterval(this.timer)
                    return
                }
                this.setState({count: count--})
            }, 1000)
        }
    }

    handleChange = (e) => {
        this.setState({value: e.target.value})
    }

    render() {
        let {inputType, iconClass, placeholder, wrapperClass, type = 'tel'} = this.props
        return (
            <div className={classnames('input-wrapper', wrapperClass)}>
                <input
                    type={inputType}
                    className='input'
                    placeholder={placeholder}
                    value={this.state.value}
                    onChange={this.handleChange}
                />
                <i className={classnames('icon', iconClass)}/>
                {
                    type === 'verification' &&
                    <button className={classnames('verify', {active: !this.state.counting})} onClick={this.countDown}>
                        {
                            this.state.counting ?
                                (`重新发送${this.state.count}s`)
                                : '发送验证码'
                        }
                    </button>
                }
            </div>
        )
    }
}

export default Index;