import React, { Component } from 'react'
import { Route, Switch } from 'react-router-dom'

import './passport.scss'

import WechatLogin from './wechatLogin'
import AccountLogin from './accountLogin'

import account from './account.png'
import qq from './qq.png'
import sina from './sina.png'
import wechat from './wechat.png'


class Passport extends Component {
    constructor(props) {
        super(props);
        this.state = {
            loginWays: [
                {
                    logo: account,
                    text: '账号登录'
                },
                {
                    logo: wechat,
                    text: '微信'
                },
                {
                    logo: qq,
                    text: 'QQ'
                },
                {
                    logo: sina,
                    text: '新浪'
                },
            ]
        }
    }

    componentDidMount() {
        document.getElementsByClassName('tabbar')[0].style.display = 'none'
    }

    render() {
        let {match} = this.props
        return (
            <div className="passport">
                <Switch>
                    <Route path={match.url + '/wechat-login'}
                           render={() => <WechatLogin loginWays={this.state.loginWays}/>}/>
                    <Route path={match.url + '/account-login'}
                           render={() => <AccountLogin loginWays={this.state.loginWays.slice(1)}/>}/>
                </Switch>
            </div>
        )
    }
}


export default Passport